Skip to main content
GET
List AI Agent Tasks

Authorizations

Authorization
string
header
required

a valid bearer token

Query Parameters

projectId
string

Filter results to tasks belonging to this project.

branchId
string

Filter results to tasks belonging to this branch.

status
enum<string>

Filter results to tasks with the given status.

Available options:
RUNNING,
STOPPED,
STOPPING,
ERRORED
createdAfter
string<date-time>

Return only tasks created at or after this ISO-8601 timestamp (inclusive).

createdBefore
string<date-time>

Return only tasks created at or before this ISO-8601 timestamp (inclusive).

page
integer<int32>
default:0
Required range: x >= 0
size
integer<int32>
default:20
Required range: 1 <= x <= 100

Response

Agent tasks listed successfully

page
integer<int32>

The current page number (0-indexed)

size
integer<int32>

The number of tasks per page

tasks
object[]

The list of agent tasks for the account

total
integer<int64>

The total number of matching tasks